QGIS Application - Bug report #12910
Move rotated canvas with arrow keys according to rotation
2015-06-08 07:29 AM - Bernd Vogelgesang

Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:2.8.2 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 20999
Description

Happily using the new rotatable maps canvas for digitizing scanned and overcrowded field maps with a lot entries in different
orientations, the shifting of the map up/down/left/right with the keyboard arrow keys still follows the original orientation. So a map rotated
180 degree will shift up when pressing down key etc.

In my opinion, the arrow keys should adopted to the rotation.
If this is intentional, please regard this then as a feature request ;)

History

#1 - 2017-05-01 01:07 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#2 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/
